%bcond_with perl_Sub_Name_enables_optional_test

Summary:	Name - or rename - a sub
Name:		perl-Sub-Name
Version:    0.27
Release:    2%{?dist}
License:	GPL+ or Artistic
URL:		https://metacpan.org/release/Sub-Name
Source0:	https://cpan.metacpan.org/modules/by-module/Sub/Sub-Name-%{version}.tar.gz

BuildRequires: coreutils findutils
BuildRequires: gcc make
BuildRequires: perl-devel perl-generators perl-interpreter perl(ExtUtils::MakeMaker)
BuildRequires: perl(Exporter) perl(strict) perl(warnings) perl(XSLoader)
BuildRequires: perl(B) perl(B::Deparse) perl(Carp) perl(feature)
BuildRequires: perl(File::Spec) perl(if) perl(Test::More)

%if %{with perl_Sub_Name_enables_optional_test}
BuildRequires:	perl(CPAN::Meta) >= 2.120900 perl(Devel::CheckBin)
%endif


%description
This module allows one to "name" or rename subroutines, including anonymous
ones.

Note that this is mainly for aid in debugging; you still cannot call the sub
by the new name (without some deep magic).

%prep
%autosetup -n Sub-Name-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor optimize="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENCE
%doc Changes CONTRIBUTING README
%{perl_vendorarch}/auto/Sub/
%{perl_vendorarch}/Sub/
%{_mandir}/man3/Sub::Name.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.27-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 23 2023 wynnfeng <wynnfeng@tencent.com> - 0.27-1
- upgrade to 0.27

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.26-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.26-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.26-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Feb 01 2023 Feng Weiyao <wynnfeng@tencent.com> - 0.26-1
- initial build
